# SFTPPacket (sshj 0.4.1 API)
Date: 2011-06-19

## net.schmizz.sshj.sftp
Class SFTPPacket<T extends SFTPPacket<T>>

    java.lang.Object
      net.schmizz.sshj.common.Buffer<T>
          net.schmizz.sshj.sftp.SFTPPacket<T>

Direct Known Subclasses:
  Request, Response

    public class SFTPPacket<T extends SFTPPacket<T>>

extends Buffer<T>

Nested Class Summary

Nested classes/interfaces inherited from class net.schmizz.sshj.common.Buffer
`Buffer.BufferException, Buffer.PlainBuffer`

Field Summary

Fields inherited from class net.schmizz.sshj.common.Buffer
`data, DEFAULT_SIZE, rpos, wpos`

Constructor Summary
`SFTPPacket()`
`SFTPPacket(Buffer<T> buf)`
`SFTPPacket(PacketType pt)`

Method Summary
`T` `putFileAttributes(FileAttributes fa)`
`T` `putType(PacketType type)`
`FileAttributes` `readFileAttributes()`
`PacketType` `readType()`

Methods inherited from class net.schmizz.sshj.common.Buffer

`array, available, clear, compact, ensureAvailable, ensureCapacity, getCompactData, getNextPowerOf2, printHex, putBoolean, putBuffer, putByte, putBytes, putBytes, putMPInt, putPublicKey, putRawBytes, putRawBytes, putSensitiveString, putSignature, putString, putString, putString, putUInt32, putUInt64, readBoolean, readByte, readBytes, readMPInt, readPublicKey, readRawBytes, readRawBytes, readString, readStringAsBytes, readUInt32, readUInt32AsInt, readUInt64, rpos, rpos, toString, wpos, wpos`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SFTPPacket

    public SFTPPacket()

### SFTPPacket

    public SFTPPacket(Buffer<T> buf)

### SFTPPacket

    public SFTPPacket(PacketType pt)

Method Detail

### readFileAttributes

    public FileAttributes readFileAttributes()
                                      throws SFTPException

  Throws:
    `SFTPException`

### readType

    public PacketType readType()
                        throws SFTPException

  Throws:
    `SFTPException`

### putFileAttributes

    public T putFileAttributes(FileAttributes fa)

### putType

    public T putType(PacketType type)

Copyright © 2009-2011. All Rights Reserved.